"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useEmulator = exports.emulatorHost = exports.ID_TOKEN_INFO = exports.CLIENT_CERT_URL = exports.FIREBASE_AUDIENCE = void 0;
const error_1 = require("./error");
exports.FIREBASE_AUDIENCE = "https://identitytoolkit.googleapis.com/google.identity.identitytoolkit.v1.IdentityToolkit";
exports.CLIENT_CERT_URL = "https://www.googleapis.com/robot/v1/metadata/x509/securetoken@system.gserviceaccount.com";
exports.ID_TOKEN_INFO = {
    url: "https://firebase.google.com/docs/auth/admin/verify-id-tokens",
    verifyApiName: "verifyIdToken()",
    jwtName: "Firebase ID token",
    shortName: "ID token",
    expiredErrorCode: error_1.AuthClientErrorCode.ID_TOKEN_EXPIRED,
};
function emulatorHost() {
    return process.env.FIREBASE_AUTH_EMULATOR_HOST;
}
exports.emulatorHost = emulatorHost;
function useEmulator() {
    return !!emulatorHost();
}
exports.useEmulator = useEmulator;
//# sourceMappingURL=firebase.js.map