"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isExpired = void 0;
const decode_1 = require("./decode");
function isExpired(jwt, { expiredWithinSeconds = 0 } = {}) {
    const { exp } = (0, decode_1.decode)(jwt);
    return (typeof exp === "number" &&
        exp < Math.floor(new Date().getTime() / 1000) + expiredWithinSeconds);
}
exports.isExpired = isExpired;
//# sourceMappingURL=is-expired.js.map