import { DecodedJWTPayload, Immutable } from "./types";
export type SignOptions = {
    readonly payload: DecodedJWTPayload;
    readonly privateKey?: string;
    readonly secret?: string;
    readonly keyId?: string;
    readonly format?: "pkcs8";
    readonly algorithm?: "RS256";
    readonly extractable?: boolean;
    readonly keyUsages?: readonly string[];
};
export declare function sign({ payload, privateKey, secret, keyId, format, algorithm, extractable, keyUsages, }: Immutable<SignOptions>): Promise<string>;
