import { DecodedIdToken } from "./token-verifier";
export type Claims = {
    [key: string]: any;
};
export type Tenant = {
    uid: string;
    customClaims: Claims;
    email?: string;
    emailVerified: boolean;
    phoneNumber?: string;
    displayName?: string;
    photoURL?: string;
    token?: string | null;
};
type CreateTenantOptions = {
    decodedToken?: DecodedIdToken | null;
    token?: string | null;
};
export declare const STANDARD_CLAIMS: string[];
export declare const filterStandardClaims: (obj?: Claims) => Claims;
export declare const createTenant: ({ decodedToken, token, }?: CreateTenantOptions) => Tenant;
export {};
